Bug 1249215 - yum update creates duplicate listen 443 field
yum update creates duplicate listen 443 field
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 16:34 EDT by h2obrain
Modified: 2016-02-10 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:37:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 169618 None None None Never

  None (edit)
Description h2obrain 2015-07-31 16:34:02 EDT
Description of problem:
After updating my radio server after half a year suddenly ssl.conf popped up in /etc/httpd/conf.d/ with a second 'Listen 443 https' entry.
This ruined my afer work beer (with sound). So severity should be 'high' at least.

Version-Release number of selected component (if applicable):


How reproducible:
Don't know. Update Fedora 20 after 1/2 year. Bug seems to have occured on earlier times (See bug 169618).


Steps to Reproduce:
1. Install fedora
2. wait
3. update

Actual results:
Httpd-log says 'could not bind port 443' beacause it has bound this port already.


Expected results:
Check for multiple Listen [port] occurrences yields 'Httpd tries to listen at the same port multiple times (check your configs x and y)' or yum update does a smarter update or so which seems to be almost impossible since this seems to be a very common problem that persisted for years..

Additional info:
Comment 1 Jan Kurik 2015-12-22 06:35:09 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.